
/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/


import React, {useContext} from 'react';
import Card from "@material-ui/core/Card";
import CardContent from "@material-ui/core/CardContent";
import { makeStyles } from "@material-ui/core/styles";
import { Typography } from '@material-ui/core';
import EmailInputs from '../../../Components/Components/Inputs/EmailInputs';
import { Store } from '../../../../Store';
import Unauthorized from '../../../Components/Components/Unauthorized';

const useStyles = makeStyles({
    root: {
        minWidth: 900,
        boxShadow: "2px 2px 1px #A9A9A9",
    },
    title: {
        fontSize: 28,
        fontWeight: "500",
    },
    subTitle: {
        fontSize: 14,
        fontWeight: "500",
    },
    pos: {
        marginBottom: 12,
    },
    displayRow: {
        display: "flex",
        flexDirection: "row",
        justifyContent: 'space-around',
        alignItems: "center",
    },
    displayColumn: {
        display: "flex",
        flexDirection: "column",
        marginBottom: "1em",
    },
});

const SendEmail = ({ match }) => {
    const { state, dispatch } = useContext(Store);
    const classes = useStyles();

    const CheckUserPermission = () => {
        let canUserEdit = false;

        if (state.userIsLoggedIn) {
            const roles = [...state.currentUser.roles];
            for (let i = 0; i < roles.length; i++)
                if (roles[i].name === 'admin' || roles[i].name === 'editor')
                    canUserEdit = true;
        }
        else {
            canUserEdit = false;
        }

        return canUserEdit;
    }

    if(CheckUserPermission()){
        return (
            <Card>
                <CardContent>
                    <Typography
                        className={classes.title}
                        color="inherit"
                        gutterBottom
                    >
                        Enviar email
                    </Typography>
                    <EmailInputs email={`${match.params.email}`} />
                </CardContent>
            </Card>
        );
    } else return <Unauthorized/>
}

export default SendEmail; 